<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContract](./bitburner.codingcontract.md) &gt; [attempt](./bitburner.codingcontract.attempt.md)

## CodingContract.attempt() method

Attempts a coding contract, returning a reward string on success or empty string on failure.

**Signature:**

```typescript
attempt(answer: string | number | any[], filename: string, host?: string): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  answer | string \| number \| any\[\] | Attempted solution for the contract. |
|  filename | string | Filename of the contract. |
|  host | string | _(Optional)_ Hostname of the server containing the contract. Optional. Defaults to current server if not provided. |

**Returns:**

string

A reward description string on success, or an empty string on failure.

## Remarks

RAM cost: 10 GB

Attempts to solve the Coding Contract with the provided solution.

## Example


```js
const reward = codingcontract.attempt(yourSolution, filename, hostname);
if (reward) {
  ns.tprint(`Contract solved successfully! Reward: ${reward}`)
} else ns.tprint("Failed to solve contract.")
```

